WebApplicationKatarzynaBialas/Models/Client.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace WebApplicationKatarzynaBialas.Models
{
    public class Client: DbContext
    {
        public int ID { get; set; }
        public int OrderID { get; set; }
        public string Name { get; set; }
        public string Surname { get; set; }
        public string Address { get; set; }
        public int Mobile { get; set; }
    }
}

WebApplicationKatarzynaBialas/Models/EFDbContext.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace WebApplicationKatarzynaBialas.Models
{
    public class EFDbContext :DbContext
    {
        public DbSet<Pizza> Pizzas { get; set; }
        public DbSet<Client> Clients { get; set; }
        public DbSet<Order> Orders { get; set; }
    }
}

WebApplicationKatarzynaBialas/Models/Order.cs
using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Web;

namespace WebApplicationKatarzynaBialas.Models
{
    public class Order: DbContext
    {
        public int OrderID { get; set; }
        public string PizzaName { get; set; }
        public string Ingredients { get; set; }
        public int Price { get; set; }
        public int Amount { get; set; }
    }
}

WebApplicationKatarzynaBialas/Models/Pizza.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace WebApplicationKatarzynaBialas.Models
{
    public class Pizza
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public string Ingredients { get; set; }
        public int Price { get; set; }
        public bool VegeAlert { get; set; }
    }
}

WebApplicationKatarzynaBialas/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplicationKatarzynaBialas.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }
    }
}

WebApplicationKatarzynaBialas/Controllers/OrderController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplicationKatarzynaBialas.Models;

namespace WebApplicationKatarzynaBialas.Controllers
{
    public class OrderController : Controller
    {
        // GET: Pizza
        public ActionResult Index()
        {
            return RedirectToAction("List");
        }

        public ActionResult List()
        {
            List<Pizza> pizzas;

            using (var ctx = new EFDbContext())
            {
                pizzas = ctx.Pizzas.ToList();
            }
            return View(pizzas);
        }

        [HttpPost]
        public ActionResult List(Order order)
        {
            using (var ctx = new EFDbContext())
            {
                ctx.Orders.Add(order);
                ctx.SaveChanges();
            }
            return View();
        }

        public ActionResult Basket()
        {
            return View(new Client());
        }

        [HttpPost]
        public ActionResult Basket(Client client)
        {
            if (!ModelState.IsValid)
            {
                return View(new Client());
            }
            using (var ctx = new EFDbContext())
            {
                ctx.Clients.Add(client);
                ctx.SaveChanges();
            }

            return RedirectToAction("Summary");
        }

        public ActionResult Summary()
        {
            return View();
        }

        public ActionResult CheckOut()
        {
            return View();
        }

        public ActionResult Thanks()
        {
            return View();
        }
    }
}

WebApplicationKatarzynaBialas/Controllers/PizzaController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using WebApplicationKatarzynaBialas.Models;

namespace WebApplicationKatarzynaBialas.Controllers
{
    public class PizzaController : Controller
    {
        // GET: Pizza
        public ActionResult Index()
        {
            return RedirectToAction("List");
        }

        public ActionResult List()
        {
            List<Pizza> pizzas;

            using (var ctx = new EFDbContext())
            {
                pizzas = ctx.Pizzas.ToList();
            }
            return View(pizzas);
        }

        public ActionResult Add()
        {
            return View(new Pizza());
        }

        [HttpPost]
        public ActionResult Add(Pizza pizza)
        {
            if (!ModelState.IsValid)
            {
                return View(new Pizza());
            }
            using (var ctx = new EFDbContext())
            {
                ctx.Pizzas.Add(pizza);
                ctx.SaveChanges();
            }

            return RedirectToAction("List");
        }


        public ActionResult Edit(int id)
        {
            Pizza pizza;
            using (var ctx = new EFDbContext())
            {
                pizza = ctx.Pizzas.FirstOrDefault(p => p.ID == id);
            }
            return View(pizza);
        }

        [HttpPost]
        public ActionResult Edit(Pizza model, int id)
        {
            if (!ModelState.IsValid)
            {
                return RedirectToAction("Edit");
            }
            Pizza pizza;
            using (var ctx = new EFDbContext())
            {
                pizza = ctx.Pizzas.FirstOrDefault(p => p.ID == id);
                pizza.Name = model.Name;
                pizza.Ingredients = model.Ingredients;
                pizza.VegeAlert = model.VegeAlert;
                pizza.Price = model.Price;
                ctx.SaveChanges();
            }
            return RedirectToAction("List");
        }

        public ActionResult Delete(int id)
        {
            Pizza pizza;
            using (var ctx = new EFDbContext())
            {
                pizza = ctx.Pizzas.FirstOrDefault(p => p.ID == id);
            }
            return View(pizza);
        }

        [HttpPost]
        public ActionResult Delete(Pizza model, int id)
        {
            if (!ModelState.IsValid)
            {
                return RedirectToAction("Delete");
            }
            Pizza pizza;
            using (var ctx = new EFDbContext())
            {
                pizza = ctx.Pizzas.FirstOrDefault(p => p.ID == id);
                pizza.Name = model.Name;
                pizza.Ingredients = model.Ingredients;
                pizza.VegeAlert = model.VegeAlert;
                pizza.Price = model.Price;
                ctx.Pizzas.Remove(pizza);
                ctx.SaveChanges();
            }
            return RedirectToAction("List");
        }
    }
}

WebApplicationKatarzynaBialas/Views/Home/Index.cshtml
@{
    ViewBag.Title = "Kredek app";
}

<div class="jumbotron">
    <h1 align="center">Witaj na Pizza Store!</h1>
    <br />
    <font size="4">
        <i>
            <p>Pizza Store to miejsce z ponad dwudziestoletnią tradycją, w której dominuje smak kuchni włoskiej. Tu znajdziesz smak włoskich ziół i zapach świeżo upieczonej pizzy. </p>
            <p>Zapraszamy do przytulnych wnętrz naszej strony internetowej, gdzie na Państwa oczach przygotujemy i upieczemy pizzę w piecu opalanym drewnem – pierwszym tego typu w Internecie. </p>
            <p>Dla zapracowanych Pizzeria  oferuje bezpłatną dostawę na wynos... </p>
        </i>
    </font>
</div>

<center>
    
    <marquee><h1 class="text-info">Pizza Store! - Z miłości do Pizzy!</h1></marquee>
    <br /> <br />

    <div id="myCarousel" class="carousel slide" data-ride="carousel">

        <ol class="carousel-indicators">
            <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
            <li data-target="#myCarousel" data-slide-to="1"></li>
            <li data-target="#myCarousel" data-slide-to="2"></li>
            <li data-target="#myCarousel" data-slide-to="3"></li>
        </ol>


        <div class="carousel-inner" role="listbox">
            <div class="item active">
                <img src="~/pizzeriaStart.jpg" width="850" height="500" class="img-rounded" alt="Pizza">
                <div class="carousel-caption">
                    <h2>Smak...</h2>
                    <p><b>Jedyna i niepowtarzalna włoska receptura.</b></p>
                </div>
            </div>

            <div class="item">
                <img src="~/pizzeriaStart4.jpg" width="850" height="500" class="img-rounded" alt="Pizza">
                <div class="carousel-caption">
                    <h2>Zdrowie...</h2>
                    <p><b>Wyselekcjonowane i zawsze świeże warzywa od lokalnych dostawców.</b></p>
                </div>
            </div>

            <div class="item">
                <img src="~/pizzeriaStart2.jpg" width="850" height="500" class="img-rounded" alt="Pizza">
                <div class="carousel-caption">
                    <h2>..Ciepło</h2>
                    <p><b>Każda pizza pieczona w naturalnym kaflowym piecu.</b></p>
                </div>
            </div>

            <div class="item">
                <img src="~/pizzeriaStart3.jpg" width="850" height="500" class="img-rounded" alt="Pizza">
                <div class="carousel-caption">
                    <h2>Po prostu pysznie!</h2>
                    <p><b>Zakochaj się w różnorodności naszych pizz.</b></p>
                </div>
            </div>
        </div>


        <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
            <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
            <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    </div>

    <br />
    <br />
</center>
<h3>Kontakt</h3>
<hr />
<br />
<div class="row">
    <div class="col-md-4">
        <b>Restauracja:</b>
    </div>
    <div class="col-md-4">
        Gdzieś w Internecie
    </div>
    <div class="col-md-4">
        <a href="mailto:biuro@pizzastore.com">biuro@pizzastore.com</a>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <b>Godziny otwarcia:</b>
    </div>
    <div class="col-md-4">
        pn-nd, od 6:00- 26:00
    </div>
    <div class="col-md-4" id="isbn">
       tel: 00011100011
    </div>
</div>

WebApplicationKatarzynaBialas/Views/Order/Basket.cshtml
@model WebApplicationKatarzynaBialas.Models.Client

@{
    ViewBag.Title = "Koszyk";
}

<br />
<h2>Krok 1</h2>
<div class="progress">
    <div class="progress-bar" role="progressbar" aria-valuenow="33"
         aria-valuemin="0" aria-valuemax="100" style="width:33%">
        33%
    </div>
</div>

<h2>Podaj dane:</h2>
@using (Html.BeginForm())
{
    @Html.HiddenFor(m => m.ID)
    @Html.HiddenFor(m => m.OrderID)

    <div class="form-group">
        @Html.LabelFor(m => m.Name)
        @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Surname)
        @Html.TextBoxFor(m => m.Surname, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Address)
        @Html.TextBoxFor(m => m.Address, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Mobile)
        @Html.TextBoxFor(m => m.Mobile, new { @class = "form-control" })
    </div>

    <button type="submit" class="btn btn-default">
        <span class="glyphicon glyphicon-chevron-right">Dalej</span>
    </button>
}

WebApplicationKatarzynaBialas/Views/Order/CheckOut.cshtml
@model WebApplicationKatarzynaBialas.Models.Client

@{
    ViewBag.Title = "Płatność";
}
<br />
<h2>Krok 3</h2>
<div class="progress">
    <div class="progress-bar" role="progressbar" aria-valuenow="99"
         aria-valuemin="0" aria-valuemax="100" style="width:99%">
        99%
    </div>
</div>

<h2>Wybierz rodzaj płatności:</h2>

@Html.ActionLink("Wyślij zamówienie", "Thanks", null, new { @class = "btn btn-default" })

WebApplicationKatarzynaBialas/Views/Order/List.cshtml
@model List<WebApplicationKatarzynaBialas.Models.Pizza> 
@{
    ViewBag.Title = "Zamówienie";
}
<script src="https://code.jquery.com/jquery-2.2.3.min.js"></script>

<h2>Zamówienie</h2>
<table class="table table-striped" id="table">
    <thead>
        <tr>
            <th>LP.</th>
            <th>Nazwa</th>
            <th>Skladniki</th>
            <th>Vege</th>
            <th>Cena</th>
            <th>Dodaj</th>
            <th>Ilość</th>
        </tr>
    </thead>
    <tbody>

           @foreach (var Pizza in Model)
           {
               var name=Model.IndexOf(Pizza);
            <tr>
                <td>@(Model.IndexOf(Pizza) + 1)</td>
                <td id="@Pizza.Name">@Pizza.Name</td>
                <td id="@Pizza.Ingredients">@Pizza.Ingredients</td>
                @if (Pizza.VegeAlert)
                {
                    <td><span class="glyphicon glyphicon-leaf"></span></td>
                }
                else
                {
                    <td><span class="glyphicon glyphicon-piggy-bank"></span></td>
                }
                <td id="@Pizza.Price">@Pizza.Price</td>
                <td>    
                    <div class="checkbox">
                        <input type="checkbox" value="" onclick="ifCheckedBox(@name)" id="check-@name" />
                    </div>
                </td>
                <td id="column-@name">
                    <input type="text" id="amount-@name"  class="form-control"  style="height:30px;width:50px;visibility:hidden"/>
                </td>
            </tr>
           }

    </tbody>
</table>



<div>
    <button data-toggle="collapse" data-target="" class="btn btn-success btn-block" id="basketChecker" onclick="chceckEmptyBasketAndGetData()">
    Dodaj wybrane pozycje do koszyka
    </button>

    <div id="show1" class="collapse">
        <br />
        <h3>
            <p id="result"></p>
        </h3>
        <br/>
      @Html.ActionLink("Przejdź dalej ", "Basket", null, new { @class = "btn btn-primary btn-block"}) 
    </div>

    <div id="show2" class="collapse">
        <br />
        <h3>
            <span class="glyphicon glyphicon-shopping-cart">  Twój koszyk jest pusty lub podane ilości produktów są nieprawidłowe</span>
        </h3>
        <br />
    </div>
</div>



<script type="text/javascript">


    // co zrobic jak to naprawic:
    //zrobic plik skrypt.js gdzie przechowuje arraya
    // w summary odwolac się do niego i wyswietlic
    //z racji tego ze jest tam podlaczony wlasciwy model to w summary przekazac do bazy
    //dobrze by bylo polaczyc wlasciwego klienta z wlasciwym zamowieniem

    function ifCheckedBox(rowNumber)
    {
        var checkText = "check-";
        var amountText = "amount-";
        var check = document.getElementById(checkText.concat(rowNumber));
        var hidden = document.getElementById(amountText.concat(rowNumber));

            if (check.checked==true)
            {
                hidden.style.visibility = "visible";
            }
            else
            {
                hidden.style.visibility = "hidden";
                hidden.value = "";
            }
    }

    function howManyChecked()
    {
        var counter = 0;
        var index = 0;
        orderArray = new Array();
        orderID = 0;
        var tableElements = document.getElementById("table").getElementsByTagName('td');

        for (var i = 0; i < tableElements.length; i++)
        {
            //console.log(tableElements[i]); 
 
            if (tableElements[i].id == ("column-" + index))
            {
                var input = document.getElementById("amount-" + index);
                if (input.style.visibility == "visible" && input.value!="")
                {
                    var pizza =
                    {
                        "OrderID": orderID,
                        "PizzaName": tableElements[i-5].id.valueOf(),
                        "Ingredients": tableElements[i - 4].id.valueOf(),
                        "Price": tableElements[i - 2].id.valueOf(),
                        "Amount": input.value
                    };
                    orderArray.push(pizza);
                    counter++;
                    console.log(orderArray);
                }
                index++;
            }
        }
        //console.log("wynik: " + counter);
        orderID++;
        return counter;
    }

    function chceckEmptyBasketAndGetData()
    {
        var basketChecker = document.getElementById("basketChecker");
        var result = howManyChecked().valueOf();

        if(result>0)
        {
            basketChecker.setAttribute("data-target", "#show1");
            document.getElementById("result").innerHTML ="Dodano do koszyka: " + result + " pozycji";
        }
        else
        {
            basketChecker.setAttribute("data-target", "#show2");
        }
    }


</script>


<br /> <br /> <br />
<center>
<div id="myCarousel" class="carousel slide" data-ride="carousel">

    <ol class="carousel-indicators">
        <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
        <li data-target="#myCarousel" data-slide-to="1"></li>
        <li data-target="#myCarousel" data-slide-to="2"></li>
        <li data-target="#myCarousel" data-slide-to="3"></li>
        <li data-target="#myCarousel" data-slide-to="4"></li>
        <li data-target="#myCarousel" data-slide-to="5"></li>
        <li data-target="#myCarousel" data-slide-to="6"></li>
        <li data-target="#myCarousel" data-slide-to="7"></li>
        <li data-target="#myCarousel" data-slide-to="8"></li>
        <li data-target="#myCarousel" data-slide-to="9"></li>
    </ol>


    <div class="carousel-inner" role="listbox">

        <div class="item active">
            <img src="~/Foto/italia.jpg" width="500" height="300" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Italia</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/farmerska.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Farmerska</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/calzone.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Calzone</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/hawajska.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Hawajska</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/margherita.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Margherita</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/peperoni.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Peperoni</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/salami.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Salami</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/tuna.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Tuna</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/wiejska.jpg" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Wiejska</b></p>
            </div>
        </div>

        <div class="item">
            <img src="~/Foto/capriciossa.JPG" width="500" height="250" class="img-rounded" alt="Pizza">
            <div class="carousel-caption">
                <p><b>Capriciosa</b></p>
            </div>
        </div>
    </div>


    <a class="left carousel-control" href="#myCarousel" role="button" data-slide="prev">
        <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#myCarousel" role="button" data-slide="next">
        <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a>
</div>

</center>

WebApplicationKatarzynaBialas/Views/Order/Summary.cshtml
@model WebApplicationKatarzynaBialas.Models.Order

@{
    ViewBag.Title = "Podsumowanie";
}
<br />
<h2>Krok 2</h2>
<div class="progress">
    <div class="progress-bar" role="progressbar" aria-valuenow="66"
         aria-valuemin="0" aria-valuemax="100" style="width:66%">
        66%
    </div>
</div>

<h2>Twój koszyk:</h2>
<div id="order" onload="show()">

</div>



@Html.ActionLink(" Do zamówienia", "List", null, new { @class = "btn btn-default glyphicon glyphicon-list-alt" })
@Html.ActionLink(" OK", "CheckOut", null, new { @class = "btn btn-default glyphicon glyphicon-ok" })
@Html.ActionLink(" Popraw Dane", "Basket", null, new { @class = "btn btn-default glyphicon glyphicon-pencil" })


<script type="text/javascript">

    function show()
    {
        var appendOrder = document.getElementById("order");

        for (var i = 0; i < orderArray.length; i++)
        {
            document.write(orderArray[i] + "<br />");
        }
    };

</script>

WebApplicationKatarzynaBialas/Views/Order/Thanks.cshtml
@model WebApplicationKatarzynaBialas.Models.Client

@{
    ViewBag.Title = "Dziękujemy";
}
<br />
<h2>Krok 4</h2>
<div class="progress">
    <div class="progress-bar" role="progressbar" aria-valuenow="100"
         aria-valuemin="0" aria-valuemax="100" style="width:100%">
        100%
    </div>
</div>

<h2>Dziękujemy za złożenie zamówienia!</h2>

<div class="alert alert-success fade in">
    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
    <strong>Success!</strong> Indicates a successful or positive action.
</div>

WebApplicationKatarzynaBialas/Views/Pizza/Add.cshtml
@model WebApplicationKatarzynaBialas.Models.Pizza

@{
    ViewBag.Title = "Dodaj pizze";
}

<h2>Dodaj pizze</h2>
@using (Html.BeginForm())
{
    @Html.HiddenFor(m => m.ID)

    <div class="form-group">
        @Html.LabelFor(m => m.Name)
        @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
    </div>

   <div class="form-group">
      @Html.LabelFor(m => m.Ingredients)
      @Html.TextBoxFor(m => m.Ingredients, new { @class = "form-control" })
   </div>

    <div class="form-group">
    @Html.LabelFor(m => m.VegeAlert)
    @Html.TextBoxFor(m => m.VegeAlert, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Price)
        @Html.TextBoxFor(m => m.Price, new { @class = "form-control" })
    </div>

   <button type="submit" class="btn btn-default">
       <span class="glyphicon glyphicon-saved">Dodaj</span>
   </button>
}

WebApplicationKatarzynaBialas/Views/Pizza/Delete.cshtml
@model WebApplicationKatarzynaBialas.Models.Pizza

@{
    ViewBag.Title = "Usuń";
}

<h2>Usuwanie wybranej pozycji: </h2>

@using (Html.BeginForm())
{
    @Html.HiddenFor(m => m.ID)

    <div class="form-group">
        @Html.LabelFor(m => m.Name)
        @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Ingredients)
        @Html.TextBoxFor(m => m.Ingredients, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.VegeAlert)
        @Html.TextBoxFor(m => m.VegeAlert, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Price)
        @Html.TextBoxFor(m => m.Price, new { @class = "form-control" })
    </div>

    <button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-saved"></span> Usuń</button>
}

WebApplicationKatarzynaBialas/Views/Pizza/Edit.cshtml
@model WebApplicationKatarzynaBialas.Models.Pizza

@{
    ViewBag.Title = "Edytuj";
}

<h2>Edytuj</h2>

@using (Html.BeginForm())
{
    @Html.HiddenFor(m => m.ID)

    <div class="form-group">
        @Html.LabelFor(m => m.Name)
        @Html.TextBoxFor(m => m.Name, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Ingredients)
        @Html.TextBoxFor(m => m.Ingredients, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.VegeAlert)
        @Html.TextBoxFor(m => m.VegeAlert, new { @class = "form-control" })
    </div>

    <div class="form-group">
        @Html.LabelFor(m => m.Price)
        @Html.TextBoxFor(m => m.Price, new { @class = "form-control" })
    </div>

    <button type="submit" class="btn btn-default"><span class="glyphicon glyphicon-saved"></span> Edytuj</button>
}

WebApplicationKatarzynaBialas/Views/Pizza/List.cshtml
@model List<WebApplicationKatarzynaBialas.Models.Pizza>
@{
    ViewBag.Title = "Menu";
}

<h2>Menu</h2>

@Html.ActionLink("Dodaj pizze", "Add", null, new { @class = "btn btn-success" })


<table class="table table-striped">
    <thead>
        <tr>
            <th>LP.</th>
            <th>Nazwa</th>
            <th>Skladniki</th>
            <th>Vege</th>
            <th>Cena</th>
            <th>Akcje</th>
        </tr>
    </thead>
  
    <tbody>

            @foreach (var Pizza in Model)
            {
               <tr>
                    <td>@(Model.IndexOf(Pizza)+1)</td>
                    <td>@Pizza.Name</td>
                    <td>@Pizza.Ingredients</td>
                   @if (Pizza.VegeAlert)
                   {
                       <td><span class="glyphicon glyphicon-leaf"></span></td>
                   }
                   else
                   {
                    <td><span class="glyphicon glyphicon-piggy-bank"></span></td>
                   }
                    <td>@Pizza.Price</td>
                    <td>
                            @Html.ActionLink("Edytuj", "Edit", new { id = Pizza.ID }, new { @class = "btn btn-primary" })
                            @Html.ActionLink("Usuń", "Delete", new { id = Pizza.ID }, new { @class = "btn btn-danger" })
                    </td>
                </tr>
            
            }
                 
    </tbody>
</table>

WebApplicationKatarzynaBialas/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pizza Store - @ViewBag.Title</title>
    <link href="~/Content/Site.css" rel="stylesheet" type="text/css" />
    <link href="~/Content/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <script src="~/Scripts/modernizr-2.6.2.js"></script>
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Pizza Store", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Menu", "List", "Pizza")</li>
                    <li>@Html.ActionLink("Zamówienie", "List", "Order")</li>
                </ul>
            </div>
        </div>
    </div>

    <div class="container body-content">
        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - Pizza Store by winmaster</p>
        </footer>
    </div>

    <script src="~/Scripts/jquery-1.10.2.min.js"></script>
    <script src="~/Scripts/bootstrap.min.js"></script>
</body>
</html>